Skip to main content
GET
/
players
/
{id}
/
height-weight-changes
Player Height Weight Changes
curl --request GET \
  --url 'https://api.eliteprospects.com/v1/players/{id}/height-weight-changes?apiKey='
{
  "_meta": {
    "generatedAt": "<string>",
    "offset": 123,
    "limit": 123,
    "totalRecords": 123
  },
  "_links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "data": [
    {
      "id": 123,
      "height": {
        "metrics": 123,
        "imperial": "<string>"
      },
      "weight": {
        "metrics": 123,
        "imperial": 123
      },
      "date": "<string>",
      "updatedAt": "<string>"
    }
  ]
}

Authorizations

apiKey
string
query
required

Path Parameters

id
integer
required

Numeric ID of the player to get player height weight changes for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, height, weight, date, updatedAt

Available options:
id,
height,
weight,
date,
updatedAt,
height.*,
weight.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of player height weight changes.

_meta
object
data
object[]